<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <style>
        
        h1{
            font-family:'Trebuchet MS';
            text-align: center;
        }

        table{
            margin: auto;
            border-collapse: collapse;
        }

        table th {
            text-align: center;
            background-color:coral;
            color:beige;
            padding: 4px 50px 4px 8px;
        }

        table td {
            padding: 4px 9px;
        }

        table tr:nth-child(odd) td{
            background-color:beige;
        }

        .btn{
	        text-align: center;	
        }

        button{
            background:coral;
            border: 0;
            padding: 8px 12px;
            border-radius: 30px;
            color: beige;
            cursor: pointer;
        }

        button:hover,
        button:focus{
            color: coral;
            background:beige;
        }
        button:active{
            background: rgb(243, 118, 73);
        }

    </style>
  </head>
  <body>
    
    <h1>Friend List</h1>
    <table>
        <tr>
          <th>Name</th>
          <th>NPM</th>
          <th>DOB</th>
        </tr>
        {% if friends %}
          {% for f in friends %}
            <tr>
              <td> {{ f.name }} </td>
              <td> {{ f.npm }} </td>
              <td> {{f.DOB|date:'M d, Y'}} </td>
            </tr>
          {% endfor %}
        {% endif %}
    </table>
    </br>
    <div class="btn">
        <button onclick="location.href='http://localhost:8000/lab-3/add'" type="button" class="btn btn-primary"><b>Add Friend</b></button>
    </div>
  </body>
</html>
